using System.Collections.Generic;

namespace Wizard;

internal class AIEvolMove : AIMove
{
	public BattleCardBase Src { get; private set; }

	public List<BattleCardBase> Targets { get; private set; }

	public AIEvolMove(BattleCardBase src, List<BattleCardBase> targets)
		: base(AIOperationType.EVOLVE)
	{
		Src = src;
		Targets = targets;
	}

	public override void RunOperation(BattleManagerBase mgr, bool isPlayer)
	{
		mgr.VfxMgr.RegisterSequentialVfx(mgr.OperateMgr.EvolutionCard(Src, isPlayer, Targets));
	}
}
